[Bug 1505778] [NEW] Please backport cgmanager 0.39-2 (main) from wily

Stéphane Graber stgraber at stgraber.org
Tue Oct 13 18:48:12 UTC 2015


Public bug reported:

Please backport cgmanager 0.39-2 (main) from wily to trusty.

This is needed infrastructure in order to backport LXC 1.1.7 back to
trusty which in turn will allow backporting LXD back to trusty.

CGManager is needed infrastructure to then be able to backport lxcfs
which is needed to run systemd based containers.

The cgmanager API is backward compatible and we've had a very large
number of users (myself included) using automated cgmanager backports on
trusty for months if not years now.

Reason for the backport:
========================

We'd like our trusty users to be able to use LXC 1.1.7 and eventually
LXD too.

Testing:
========
Mark off items in the checklist [X] as you test them, but please leave the checklist so that backporters can quickly evaluate the state of testing.

You can test-build the backport in your PPA with backportpackage:
$ backportpackage -u ppa:<lp username>/<ppa name> -s wily -d trusty cgmanager

* trusty:
[x] Package builds without modification
[x] libcgmanager0 installs cleanly and runs
[x] cgmanager installs cleanly and runs
[x] libpam-cgm-dbgsym installs cleanly and runs
[x] cgmanager-dbgsym installs cleanly and runs
[x] libcgmanager-dev installs cleanly and runs
[x] libpam-cgm installs cleanly and runs
[x] cgmanager-tests installs cleanly and runs
[x] libcgmanager0-dbgsym installs cleanly and runs

Reverse dependencies:
=====================
The following reverse-dependencies need to be tested against the new version of cgmanager. For reverse-build-dependencies (-Indep), please test that the package still builds against the new cgmanager. For reverse-dependencies, please test that the version of the package currently in the release still works with the new cgmanager installed. Reverse- Recommends, Suggests, and Enhances don't need to be tested, and are listed for completeness-sake.

libcgmanager0
-------------
* python-systemd
  [x] trusty (Reverse-Depends)
* liblxc1
  [x] trusty (Reverse-Depends)
* libsystemd-journal0
  [x] trusty (Reverse-Depends)
* libsystemd-id128-0
  [x] trusty (Reverse-Depends)
* libudev1
  [x] trusty (Reverse-Depends)
* udev
  [x] trusty (Reverse-Depends)
* libpam-systemd
  [x] trusty (Reverse-Depends)
* systemd-services
  [x] trusty (Reverse-Depends)
* libsystemd-login0
  [x] trusty (Reverse-Depends)

cgmanager
---------
* lxc-android-config
  [x] trusty (Reverse-Depends)
* cgmanager-utils
  [x] trusty (Reverse-Depends)
* liblxc1
  [x] trusty (Reverse-Depends)
* systemd-services
  [x] trusty (Reverse-Suggests)

libpam-cgm-dbgsym
-----------------

cgmanager-dbgsym
----------------

libcgmanager-dev
----------------
* systemd
  [x] trusty (Reverse-Build-Depends)
* lxc
  [x] trusty (Reverse-Build-Depends)

libpam-cgm
----------

cgmanager-tests
---------------

libcgmanager0-dbgsym
--------------------

** Affects: trusty-backports
     Importance: Undecided
         Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Backporters, which is subscribed to trusty-backports.
Matching subscriptions: ubuntu-backporters
https://bugs.launchpad.net/bugs/1505778

Title:
  Please backport cgmanager 0.39-2 (main) from wily

To manage notifications about this bug go to:
https://bugs.launchpad.net/trusty-backports/+bug/1505778/+subscriptions



More information about the ubuntu-backports mailing list